/*----------------------------------*/
/* CSS style for cbustamante.co     */
/* Author: Christian Bustamante     */
/* Last modified: 28/09/2023        */
/*----------------------------------*/



/*----------------------------------*/
/* Canvas box                       */
/*----------------------------------*/
#canvas {
    max-width: 1000px;
    margin: 0 auto;
    padding: 100px 100px 0;
    border-style: solid;
    border-color: #ddd;
    border-width: 0;
    }

/*----------------------------------*/
/* Header                           */
/*----------------------------------*/
header {
    font-family: "Varela Round", sans-serif;
    text-transform: uppercase;
    text-decoration: none;
    }
div.header-name {
    margin-bottom: 0;
    border-bottom: 1px solid #ddd;
    }
div.header-name > h1 {
    font-family: "Varela Round", sans-serif;
    font-size: 28px;
    line-height: 1.2em;
    letter-spacing: 3px;
    font-weight: normal;
    margin-bottom: 1px;
    text-align: right;
    }
header > nav {
    padding: 10px;
    font-size: 17px;
    letter-spacing: 1.5px;
    font-weight: 400;
    position: relative;
    top: -10px;
    left: -52px;
    }
header > nav > ul  {
    padding-left: 0px;
    }
header > nav > ul > li {
    display: inline;
    margin-left: 5px;
    }
header > nav a {
    color: #999;
    border-bottom-color: transparent;
    border-bottom-style: solid;
    text-decoration: none;
    }
header > nav a:hover, header > nav .active-link a {
    color: #111;
    border-bottom-color: #ddd;
    border-bottom-width: 1px;
    }

/*----------------------------------*/
/* Titles                           */
/*----------------------------------*/
.titles-text {
    font-family: "Varela Round", sans-serif;
    text-transform: uppercase;
    text-align: left;
    }
div.title-name {
    margin-bottom: 25px;
    }
div.title-name > h1 {
    font-family: "Open Sans", sans-serif;
    font-size: 28px;
    line-height: 1.2em;
    font-weight: normal;
    margin-bottom: 1px;
    text-align: left;
    }

/*----------------------------------*/
/* Body text                        */
/*----------------------------------*/
body {
    font-family: "Open Sans", sans-serif;
    }
#body-text {
    font-size: 15px;
    line-height: 1.5em;
    max-width: 90%;
    margin: auto;
    }
.imgme {
    float: right;
    }
.circular--square {
    border-radius: 50%;    
    height: 350px;
    width: 350px;
    }
#body-text .me {
    padding: 0 0 1.5em 1.5em;
    /*border-radius: 50%;*/
    }
.imgmeclear {
    clear: none;
    }
::selection { background: #85c1e9; }
::-moz-selection { background: #85c1e9; }
::-webkit-selection { background: #85c1e9; }

/*----------------------------------*/
/* Body links                       */
/*----------------------------------*/
#body-text a {
    color: #999;
    text-decoration: none;
    }
#body-text a:hover {
    color: #111;
    }
#body-text a.sh {
    color: #999;
    text-decoration: none;
    }
#body-text a.sh:hover {
    color: #111;
    }
#body-text a.highy {
    color: #999;
    text-decoration: none;
    }
#body-text a.highy:hover {
    color: #111;
    background-color: yellow;
    }
#body-text .paper_title {
    /* color: darkblue; */
    }

/*----------------------------------*/
/* Page for 1 paper                 */
/* Example: JMP                     */
/*----------------------------------*/
#body-text h4 {
    font-weight: bold;
    font-size: 26px; 
    margin-left: -9px; 
    padding-left: 5px;
    text-align: center;
    line-height: 32px;
    color: #999;
    }
#body-text h4 a {
    color: #111;
    }
#body-text h4 a:hover {
    color: #999;
    }

/*----------------------------------*/
/* Body large text                  */
/*----------------------------------*/
#body-text h2 {
    font-size: 18px;
    content: ''; 
    border-left: 4px solid #999; 
    margin-left: -9px; 
    padding-left: 5px;
    }
#body-text h3 {
    font-size: 15px;
    }
#body-text > h3:hover {
    color: #999;
    }
#body-text h3 > a {
    color: #111;
    margin-bottom : 4px; 
    }
#body-text > h3 a:hover {
    color: #999;
    }
#body-text > h3, #body-text > h4, #body-text > h5 {
    font-family: "Open Sans";
    }
#body-text > h5 {
    font-size: 15px;
    margin: 15px;
    }

/*----------------------------------*/
/* Body paragraph                   */
/*----------------------------------*/
#body-text > .link4abs {
    line-height: 15px;
    margin: 15px;
    margin-left: 15px;
    margin-top: -12.5px;
    margin-bottom: 30px;
    }
#body-text .no-indent {
    margin-left: 0;
    }
#body-text .no-indent-compact {
    margin-left: 0;
    margin-bottom: -15px;
    }
#body-text div.home .no-indent {
    margin-left: 0;
    }
#body-text div.home .no-indent-contact {
    margin-left: 0;
    margin-bottom: -15px;
    }
.abst {
    margin-left: 15px;
    line-height: 1.35em;
    text-align: justify;
    }
#body-text > .abst_single {
    line-height: 1.35em;
    text-align: justify;
    margin-left: 25px;
    margin-right: 25px;
    padding-left: 40px;
    padding-right: 40px;
    }
#body-text > pre {
    white-space: pre-wrap;
    margin-left: 25px;
    }
#body-text .refer {
    margin-left: 0;
    margin-top: -12.5px; 
    /* margin-bottom: -5px; */
    line-height: 18px; 
    }

/*----------------------------------*/
/* Body tables                      */
/*----------------------------------*/
#body-text > table {
    border-collapse: collapse;
    width: 90%;
    margin-left: auto;
    margin-right: auto;
    }
#body-text th {
    text-align: left;
    }
#body-text td {
    vertical-align: top;
    padding: 5px;
    }
#body-text > table > thead, tfoot {
    border-bottom: 1px solid #ddd;
    }

/*----------------------------------*/
/* Grid CV                          */
/*----------------------------------*/
#body-text div.gridcv { 
    width: 100%;
    margin: auto;
    margin-left: 15px;    
    font-family: "Open Sans", sans-serif;
    font-size: 15px;
    line-height: 1.5em;
    }
#body-text div.gridcv div { 
    float: left;
    }
#body-text div.gridcv .coldates { 
    width: 80px; 
    }
#body-text div.gridcv .coldescr { 
    width: calc(100% - 80px);
    }
#body-text .clear { 
    clear: both; 
    }

/*----------------------------------*/
/* Body lists                       */
/*----------------------------------*/
#body-text ul {
    list-style-type: disc;
    padding: 5px;
    margin: 0;
    margin-left: 15px;
    font-family: "Open Sans", sans-serif;
    font-size: 15px;
    }
#body-text ul > li {
    margin: 3px -20px 5px 5px;
    padding-left: 0;
    list-style-position: outside;
    }
#body-text ul > li > ul {
    list-style-type: circle;
    padding: 5px;
    margin: 0;
    line-height: 15px;
    }
#body-text ul > li > ul > li {
    margin: 3px -20px 5px 5px;
    padding-left: 5px;
    list-style-position: outside;
    line-height: 15px;
    }
#body-text ul > li.tight {
    margin: 3px -20px 5px 5px;
    padding-left: 0;
    list-style-position: outside;
    line-height: 18px;
    }

/*----------------------------------*/
/* Footer                           */
/*----------------------------------*/
footer {
    font-family: "Varela Round", sans-serif;
    font-size: 10px;
    text-transform: uppercase;
    color: #111;
    letter-spacing: 0.4px;
    padding: 25px;
    }
footer p {
    text-align: center;
    }
footer > ul {
    text-align: center;
    }
footer > ul > li {
    display: inline;
    }
footer a {
    color: #111;
    border-bottom-color: transparent;
    border-bottom-style: solid;
    text-decoration: none;
    }
footer a > img {
    vertical-align: -3px;
    }

/*----------------------------------*/
/* Always show scrollbar            */
/*----------------------------------*/
html {
    overflow-y: scroll;
    }
